Solid Edge Framework Type Library
GetMappedPropertiesForGivenFile Method
Specifies the Item Id of the file.
Specifies the Revision of the file.
Specifies the Data set name of the file.
Returns two dimensional array of property names and property values of the input file.
Description
Return all the mapped properties from server for a given file
Syntax
Visual Basic
Public Sub GetMappedPropertiesForGivenFile( _
   ByVal bstrItemId As String, _
   ByVal bstrItemRev As String, _
   ByVal bstrDataSetFileName As String, _
   ByRef pvarListOfProperties As Variant _
) 
Parameters
bstrItemId
Specifies the Item Id of the file.
bstrItemRev
Specifies the Revision of the file.
bstrDataSetFileName
Specifies the Data set name of the file.
pvarListOfProperties
Returns two dimensional array of property names and property values of the input file.
Example
Imports System.Runtime.InteropServices

Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objSolidEdgeInsightXT As SolidEdgeFramework.SolidEdgeInsightXT = Nothing
        Dim FileItemID As String
        Dim FileItemRevID As String
        Dim FileDataSetName As String
        Dim listoffiles As Object = Nothing

        Try
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objSolidEdgeInsightXT = objApplication.SolidEdgeInsightXT
            FileItemID = "PRT-03311"
            FileItemRevID = "A"
            FileDataSetName = "PRT-03311_A.par"

            Call objSolidEdgeInsightXT.GetMappedPropertiesForGivenFile(FileItemID, _
                FileItemRevID, _
                FileDataSetName, _
                listoffiles)
            MsgBox("Material of the part " + FileDataSetName + " is " + DirectCast(listoffiles, Object(,))(1, 1).ToString)
            objSolidEdgeInsightXT = Nothing
            objApplication = Nothing
        Catch ex As Exception
            MsgBox(ex.ToString)
        Finally
            objApplication = Nothing
            objSolidEdgeInsightXT = Nothing
        End Try
    End Sub
End Class
See Also

SolidEdgeInsightXT Object  | SolidEdgeInsightXT Members  | Solid Edge ST4 - What's New